#!/bin/sh

URL=http://cccmdb.in2p3.fr:8080/lavoisier

if [ "$1" = "" ] ; then
    echo "usage:  cmdb.sh <Class> [ \"<Name>:'Value',<Name>:'Value',...\" ]" > /dev/stderr
    echo "" > /dev/stderr
    curl $URL/classes?accept=txt > /dev/stderr
elif [[ ! "$2" == "" && ! "$2" =~ (\') ]] ; then
    echo "usage:  cmdb.sh <Class> [ \"<Name>:'Value',<Name>:'Value',...\" ]" > /dev/stderr
    echo "" > /dev/stderr
    echo "Value is missing quotes: $2" > /dev/stderr
elif [[ "$2" =~ ( ) ]] ; then
    echo "usage:  cmdb.sh <Class> [ \"<Name>:'Value',<Name>:'Value',...\" ]" > /dev/stderr
    echo "" > /dev/stderr
    echo "Space are not allowed in filter" > /dev/stderr
elif [ ! "$3" = "" ] ; then
    echo "usage:  cmdb.sh <Class> [ \"<Name>:'Value',<Name>:'Value',...\" ]" > /dev/stderr
    echo "" > /dev/stderr
    echo "Argument(s) not allowed: $3 $4 $5 $6 $7 $8 $9" > /dev/stderr
else
    curl "$URL/get/$1?Filter=$2&accept=json"
    echo ""
fi
